stages:
  - Liste
  - Test
  - Test2
  - Fin

Liste des groupes et users:
  stage: Liste
  image: debian
  script:
    - cat /etc/passwd
    - cat /etc/group
  artifacts:
    paths:
      - /etc/passwd
      - /etc/group

Creation de Groupe:
  stage: Test
  image: debian
  script:
    - groupadd linux
  when: on_success

Test groupe échoué:
  stage: Test2
  script:
    - echo "groupe non ajouté"
  when: on_failure

Test de group réussi:
  stage: Test2
  script:
    - echo "groupe ajouté"

Cloture du pipeline:
  stage: Fin
  script:
    - echo "fin du pipeline"
  when: always